List datasets
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"provider": "<string>",
"source_label": "<string>",
"description_hint": "<string>",
"vendor": "<string>",
"catalog_group": "<string>",
"tags": [
"<string>"
],
"source_url": "<string>",
"hf_repo_id": "<string>",
"downloads": 123,
"likes": 123,
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalog
List datasets
GET
/
api
/
v1
/
catalog
/
datasets
List datasets
curl --request GET \
--url https://platform.neural-motion.org/api/v1/catalog/datasets \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.neural-motion.org/api/v1/catalog/datasets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.neural-motion.org/api/v1/catalog/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"slug": "<string>",
"title": "<string>",
"provider": "<string>",
"source_label": "<string>",
"description_hint": "<string>",
"vendor": "<string>",
"catalog_group": "<string>",
"tags": [
"<string>"
],
"source_url": "<string>",
"hf_repo_id": "<string>",
"downloads": 123,
"likes": 123,
"updated_at": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minimum string length:
1Required range:
1 <= x <= 200Response
Successful Response
Show child attributes
Show child attributes
⌘I

